Bug 209735 - [NEW PORT] security/zeronet: Decentralized websites using Bitcoin crypto and BitTorrent network
Summary: [NEW PORT] security/zeronet: Decentralized websites using Bitcoin crypto and ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch-ready
Depends on:
Blocks:
 
Reported: 2016-05-24 17:14 UTC by Yuri Victorovich
Modified: 2016-06-14 20:01 UTC (History)
1 user (show)

See Also:


Attachments
shar archive (17.08 KB, text/plain)
2016-05-24 17:14 UTC, Yuri Victorovich
no flags Details
shar archive (33.79 KB, text/plain)
2016-05-25 01:22 UTC, Yuri Victorovich
no flags Details
shar archive (40.07 KB, text/plain)
2016-05-25 01:41 UTC, Yuri Victorovich
no flags Details
shar archive (39.90 KB, text/plain)
2016-05-25 02:50 UTC, Yuri Victorovich
no flags Details
shar archive (42.37 KB, text/plain)
2016-05-26 03:34 UTC, Yuri Victorovich
no flags Details
shar archive (42.64 KB, text/plain)
2016-05-27 01:20 UTC, Yuri Victorovich
no flags Details
shar archive (43.97 KB, text/plain)
2016-05-29 22:54 UTC, Yuri Victorovich
no flags Details
shar archive (44.33 KB, text/plain)
2016-06-01 21:23 UTC, Yuri Victorovich
no flags Details
shar archive (44.34 KB, text/plain)
2016-06-10 07:42 UTC, Yuri Victorovich
no flags Details
shar archive (44.39 KB, text/plain)
2016-06-10 10:55 UTC, Yuri Victorovich
no flags Details
shar archive (45.58 KB, text/plain)
2016-06-11 08:35 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-05-24 17:14:59 UTC
Created attachment 170613 [details]
shar archive

Passes poudriere
Comment 1 Yuri Victorovich freebsd_committer 2016-05-25 01:22:08 UTC
Created attachment 170638 [details]
shar archive
Comment 2 Yuri Victorovich freebsd_committer 2016-05-25 01:41:42 UTC
Created attachment 170639 [details]
shar archive
Comment 3 Yuri Victorovich freebsd_committer 2016-05-25 02:50:08 UTC
Created attachment 170641 [details]
shar archive
Comment 4 VK freebsd_triage 2016-05-25 07:36:27 UTC
Thanks for the submission. Is the shar ready? Passes all the tests?
Comment 5 Yuri Victorovich freebsd_committer 2016-05-25 09:51:06 UTC
Yes, it passes poudriere build on 10.3 and 9.3.
Comment 6 Yuri Victorovich freebsd_committer 2016-05-26 03:34:20 UTC
Created attachment 170668 [details]
shar archive

Added service startup script and package message.

Port is fully functional and can be committed.
Comment 7 Yuri Victorovich freebsd_committer 2016-05-27 01:20:28 UTC
Created attachment 170703 [details]
shar archive

Updated the port.
* Expanded the package message
* Added startup arguments zeronet_args in rc.conf

--Ready to be committed.--
Comment 8 Yuri Victorovich freebsd_committer 2016-05-29 22:54:45 UTC
Created attachment 170811 [details]
shar archive

* Updated to 0.3.7 (it is labeled but yet unannounced).
* Added TOR option to enable Tor integration.
* Made USER/GROUP variables set in Makefile.

In Tor mode ZeroNet has to work as _tor:_tor in order to have access to the Tor authentication cookie.
Comment 9 Yuri Victorovich freebsd_committer 2016-06-01 21:23:59 UTC
Created attachment 170925 [details]
shar archive

Added more explanations to pkg-message.
Comment 10 Yuri Victorovich freebsd_committer 2016-06-10 07:42:30 UTC
Created attachment 171259 [details]
shar archive

* Eliminated the unnecessary directory 'data' in /var/db/zeronet/data
* Improved pkg-message
Comment 11 Yuri Victorovich freebsd_committer 2016-06-10 10:55:27 UTC
Created attachment 171262 [details]
shar archive

Added missing py-sqlite3 dependency.
Comment 12 Yuri Victorovich freebsd_committer 2016-06-11 08:35:38 UTC
Created attachment 171296 [details]
shar archive

Added DEBUG option that turns on py-werkzeug dependency.
Comment 13 Kurt Jaeger freebsd_committer 2016-06-14 16:59:26 UTC
testbuilds are fine
Comment 14 commit-hook freebsd_committer 2016-06-14 17:03:51 UTC
A commit references this bug:

Author: pi
Date: Tue Jun 14 17:03:43 UTC 2016
New revision: 416899
URL: https://svnweb.freebsd.org/changeset/ports/416899

Log:
  New port: security/zeronet

  Open, free and uncensorable websites, using Bitcoin cryptography
  and BitTorrent network.

  Features:
  * Real-time updated sites
  * Namecoin .bit domains support
  * Easy to setup: unpack & run
  * Clone websites in one click
  * Password-less BIP32 based authorization: Your account is protected
    by the same cryptography as your Bitcoin wallet
  * Built-in SQL server with P2P data synchronization: Allows easier site
    development and faster page load times
  * Anonymity: Full Tor network support with .onion hidden services instead
    of IPv4 addresses
  * TLS encrypted connections
  * Automatic uPnP port opening
  * Plugin for multiuser (openproxy) support
  * Works with any browser/OS

  WWW: https://zeronet.io/

  PR:		209735
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>

Changes:
  head/security/Makefile
  head/security/zeronet/
  head/security/zeronet/Makefile
  head/security/zeronet/distinfo
  head/security/zeronet/files/
  head/security/zeronet/files/patch-src_Ui_UiServer.py
  head/security/zeronet/files/pkg-message.in
  head/security/zeronet/files/zeronet-cmd.in
  head/security/zeronet/files/zeronet-service.in
  head/security/zeronet/pkg-descr
  head/security/zeronet/pkg-plist
Comment 15 Kurt Jaeger freebsd_committer 2016-06-14 17:04:25 UTC
Committed, thanks!
Comment 16 Yuri Victorovich freebsd_committer 2016-06-14 20:01:48 UTC
Thank you, Kurt!